curl --request POST \
--url https://cool.jobmojito.com/functions/v1/job-interview-pre-screening-api-resume-binary \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'position_id=<string>' \
--form 'candidate_name=<string>' \
--form 'candidate_email=<string>' \
--form 'candidate_country_code=<string>' \
--form file='@example-file' \
--form 'candidate_external_id=<string>' \
--form 'candidate_linkedin_url=<string>' \
--form 'form=<string>'import requests
url = "https://cool.jobmojito.com/functions/v1/job-interview-pre-screening-api-resume-binary"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = {
"position_id": "<string>",
"candidate_name": "<string>",
"candidate_email": "<string>",
"candidate_country_code": "<string>",
"candidate_external_id": "<string>",
"candidate_linkedin_url": "<string>",
"form": "<string>"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('position_id', '<string>');
form.append('candidate_name', '<string>');
form.append('candidate_email', '<string>');
form.append('candidate_country_code', '<string>');
form.append('file', '<string>');
form.append('candidate_external_id', '<string>');
form.append('candidate_linkedin_url', '<string>');
form.append('form', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://cool.jobmojito.com/functions/v1/job-interview-pre-screening-api-resume-binary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"decision_status": "<string>",
"recommendation": "<string>",
"profile_interview_id": "<string>",
"interview_result_pre_screening_id": "<string>",
"interview_file_id": "<string>",
"pre_screening_score": 123,
"resume_ai_analysis": "<string>",
"resume_ai_education": "<string>",
"resume_ai_technical_experience": 123,
"resume_ai_is_switching_profession": true,
"processing_reason": "<string>"
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}{
"error": "Field is required.",
"name": "interview_result_id"
}Pre-screen a candidate from a binary resume upload
Accepts a multipart/form-data upload with candidate details and a binary resume file, converts the resume to text, runs AI pre-screening against the position, stores the result, and returns the decision.
Authorizations
Supabase JWT — Authorization: Bearer <token>.
Body
The position the candidate is being pre-screened against.
1Full name of the candidate.
1Candidate email (normalized to lowercase, trimmed).
1ISO country code used as residency/nationality fallback.
1Resume file (pdf, doc, docx, txt, etc.)
Optional external identifier for the candidate.
Optional candidate LinkedIn profile URL.
Optional JSON string with education/languages/residency/nationality/visa/age/gender.
Response
Pre-screening result, or an early-exit status message.
- Option 1
- Option 2
Either the completed pre-screening result, or an early-exit status message when the candidate is not in the pre-screening candidate_action state.